Android Device Compatibility

Onyx is compatible with phones running Android 5.0 or later. Some Android smartphones may not have the necessary power to provide an optimized communication experience.

Supported Android phones:

  • Google Pixel
  • Google Pixel XL
  • Google Pixel 2
  • Google Pixel 2 XL
  • Nexus 5X
  • Nexus 6P
  • Samsung Galaxy Note 4
  • Samsung Galaxy Note 5
  • Samsung Galaxy S5
  • Samsung Galaxy S5 Active
  • Samsung Galaxy S6
  • Samsung Galaxy S6 Edge
  • Samsung Galaxy S6 Edge+
  • Samsung Galaxy S7
  • Samsung Galaxy S7 Active
  • Samsung Galaxy S7 Edge
  • Samsung Galaxy S8
  • Samsung Galaxy S8+

Onyx is not supported on the following Android phones:

Phone Notes
Lenovo A1000 Not currently supported
LG Tribute Not currently supported
Motorola G (1st Gen) Not currently supported
Motorola G (2nd Gen) Not currently supported
Motorola X (1st Gen) Not currently supported
Nexus 4 Not currently supported
Any rooted, non-standard version of Android Not currently supported
Android Tablets Not currently supported

Please contact us at support@orionlabs.io if you’re unsure whether your phone will support Onyx.